#include <cstdio>
#include <cstring>
#include <cassert>

const int maxT = 10;
const int maxn = 1000000000;

inline bool test(int x)
{
    while (x > 0) {
        int dig = x % 10;
        if (dig == 4 || dig == 7) {
            return true;
        }
        x /= 10;
    }
    return false;
}

int main()
{
    int T;
    assert(scanf("%d", &T) == 1);
    assert(1 <= T && T <= maxT);
    for (;T --;) {
        int n;
        assert(scanf("%d", &n) == 1);
        assert(1 <= n && n <= maxn);
        int answer = 0;
        for (int d = 1; d * d <= n; ++ d) {
            if (n % d == 0) {
                answer += test(d);
                if (d * d < n) {
                    answer += test(n / d);
                }
            }
        }
        printf("%d\n", answer);
    }
    return 0;
}
